[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: rpm version mismatchs "svn --version"

From: Ryan Schmidt <subversion-2006d_at_ryandesign.com>
Date: 2006-11-08 20:22:35 CET

On Nov 8, 2006, at 02:39, Tim Liu wrote:

>> > I install 1.4 rpm but after installation, it shows 1.3.2 via svn --
>> > version and browser shows svn 1.1.4. I am lost:) Hope you can give
>> > some hints.
>> >
>> > Firefox browser msg
>> > =================
>> > Apache/2.0.59 (Unix) DAV/2 SVN/1.1.4 Server at ... Port 80
>>
>> You apparently have an older mod_dav_svn installed in your Apache
>> modules folder.
>>
>>
>> > svn --version
>> > ==========
>> > [] svn --version
>> > svn, version 1.3.2 (r19776)
>> > compiled Aug 21 2006, 07:26:13
>>
>> You apparently have an older svn binary somewhere in your path.
>> "which svn" should show you where.
>
> you are right. Do you know the link for 1.4 binary rpm for Apache,
> Red Hat Ent Lx4.0, SVN?
>
> I dowload via http://the.earth.li/pub/subversion/
> summersoft.fay.ar.us/pub/subversion/latest/rhel-4/i386/

As far as I can tell, that is the correct place to download from.
That's the URL linked to from the Subversion download page.

> I assume it is 1.4 but 1.1.4
>
> [] rpm -qlp subversion-1.4.0-1.i386.rpm
> /usr/bin/svn
> ...
> sjc-csm-lx-2[/usr/bin] ./svn --version
> svn, version 1.1.4 (r13838)
> compiled Apr 12 2005, 16:01:59

I don't know how to explain that, and would have to defer to David
Summers, who created those RPMs. His email address is listed on the
Subversion download page.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Wed Nov 8 20:23:50 2006

This is an archived mail posted to the Subversion Users mailing list.